11位号码标记查询(三方)限流版
查询号码标记,泰迪熊/360/腾讯/百度/联通/移动高频/电话邦/搜狗,每个号码每天仅可查询2次!!!!!!!只可以查询11位号码的手机号,仅个人使用,个人使用,个人使用
接口信息
GET / POST
https://api.xunjinlu.fun/apis/hmbj
Method
GET / POST
分类
实用工具
Calls
15
KEY
KEY 必填
计费
免费
QPM
2/MIN
鉴权方式
Query 参数、Header(X-API-Key)、Bearer Token
作者
当前接口维护中,暂时无法调用。
请求参数
| 参数名 | 类型 | 必填 | 说明 | 示例 |
|---|---|---|---|---|
| key | string | 是 | 接口调用密钥 | |
| phoneNumber | phone | 是 | 需要查询的手机号 |
[
{
"name": "key",
"type": "string",
"required": true,
"description": "接口调用密钥",
"example": ""
},
{
"name": "phoneNumber",
"type": "phone",
"required": true,
"description": "需要查询的手机号",
"example": ""
}
]
返回示例
{
"code": 0,
"data": {
"phone": "13295744641",
"platformData": [
{
"source": "电话邦",
"phoneNumber": "13295744641",
"location": "浙江-宁波",
"operator": "中国联通",
"details": "营销推广",
"marked": true,
"markType": "营销推广",
"markCount": 0,
"querySuccess": true
},
{
"source": "搜狗号码通",
"phoneNumber": "13295744641",
"location": "浙江-宁波",
"operator": "中国联通",
"details": "无标记",
"marked": false,
"markType": null,
"markCount": 0,
"querySuccess": true
},
{
"source": "移动高频号码",
"phoneNumber": "13295744641",
"location": "浙江-宁波",
"operator": "中国联通",
"details": "无标记",
"marked": false,
"markType": null,
"markCount": 0,
"querySuccess": true
},
{
"source": "360安全卫士",
"phoneNumber": "13295744641",
"location": "浙江-宁波",
"operator": "中国联通",
"details": "广告推销-被12人标记",
"marked": true,
"markType": "广告推销",
"markCount": 12,
"querySuccess": true
},
{
"source": "百度安全卫士",
"phoneNumber": "13295744641",
"location": "浙江-宁波",
"operator": "中国联通",
"details": "无标记",
"marked": false,
"markType": null,
"markCount": 0,
"querySuccess": true
},
{
"source": "联通管家",
"phoneNumber": "13295744641",
"location": "浙江-宁波",
"operator": "中国联通",
"details": "骚扰电话-被50人标记",
"marked": true,
"markType": "骚扰电话",
"markCount": 50,
"querySuccess": true
},
{
"source": "腾讯手机管家",
"phoneNumber": "13295744641",
"location": "浙江-宁波",
"operator": "中国联通",
"details": "商业营销或高风险电话",
"marked": true,
"markType": "商业营销或高风险电话",
"markCount": 0,
"querySuccess": true
},
{
"source": "泰迪熊",
"phoneNumber": "13295744641",
"location": "浙江-宁波",
"operator": "中国联通",
"details": "您的号码用户标记次数较多。降低通话频次可有效降低用户标记,建议您10个工作日后再次尝试,谢谢",
"marked": true,
"markType": "您的号码用户标记次数较多。降低通话频次可有效降低用户标记,建议您10个工作日后再次尝试,谢谢",
"markCount": 0,
"querySuccess": true
}
],
"province": "浙江",
"city": "宁波",
"isp": "中国联通",
"platformCount": 8,
"queryId": "6b66d92a07404d1398aa1c3b596219cc",
"queryToken": "6b66d92a07404d1398aa1c3b596219cc",
"queryStage": null,
"completedPlatformCount": null,
"totalPlatformCount": null
},
"msg": ""
}
接口反馈
号码标记查询-测试测试
接口说明
本接口用于查询手机号码的标记信息,覆盖泰迪熊、360安全卫士、腾讯手机管家、百度安全卫士、联通管家、移动高频号码、电话邦、搜狗号码通等多个主流平台。
注意事项:
- 本接口为收费接口,调用将扣除账户积分。
- 每个手机号码每天仅可查询 2 次,请合理控制查询频率。
- 接口支持 GET 和 POST 两种请求方式。
调用地址
https://2.xunjinlu.fun/apis/hmbj
请求方式
- GET
- POST
鉴权方式
本接口支持以下三种鉴权方式,调用方请根据实际需求选择其中一种:
- Query 参数:将密钥作为
key参数附加在 URL 中。 - Header:在请求头中添加
X-API-Key字段,值为您的密钥。 - Bearer Token:在请求头中添加
Authorization: Bearer <您的密钥>。
请求参数
| 参数名 | 类型 | 必填 | 说明 |
|---|---|---|---|
| key | string | 是 | 接口调用密钥(若使用 Header 或 Bearer 鉴权,此参数可不传) |
| phoneNumber | string | 是 | 需要查询的手机号 |
请求示例
GET 请求示例
通过 Query 参数传递密钥:
curl -X GET "https://2.xunjinlu.fun/apis/hmbj?key=您的密钥&phoneNumber=13295744641"
通过 Header 传递密钥:
curl -X GET "https://2.xunjinlu.fun/apis/hmbj?phoneNumber=13295744641" \
-H "X-API-Key: 您的密钥"
通过 Bearer Token 传递密钥:
curl -X GET "https://2.xunjinlu.fun/apis/hmbj?phoneNumber=13295744641" \
-H "Authorization: Bearer 您的密钥"
POST 请求示例
通过 JSON Body 传递参数:
curl -X POST "https://2.xunjinlu.fun/apis/hmbj" \
-H "Content-Type: application/json" \
-H "X-API-Key: 您的密钥" \
-d '{
"phoneNumber": "13295744641"
}'
PHP 示例
// PHP 示例
$url = 'https://2.xunjinlu.fun/apis/hmbj';
$key = '您的密钥';
$phoneNumber = '13295744641';
// 初始化 cURL
$ch = curl_init();
// 设置请求选项
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(['phoneNumber' => $phoneNumber]));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Content-Type: application/json',
'X-API-Key: ' . $key
]);
// 执行请求
$response = curl_exec($ch);
curl_close($ch);
// 输出结果
echo $response;
响应参数说明
顶层响应字段
| 字段名 | 类型 | 说明 |
|---|---|---|
| code | int | 状态码,0 表示成功 |
| data | object | 返回的数据主体 |
| msg | string | 响应消息,成功时为空字符串 |
data 对象字段
| 字段名 | 类型 | 说明 |
|---|---|---|
| phone | string | 查询的手机号 |
| platformData | array | 各平台标记详情列表 |
| province | string | 号码归属省份 |
| city | string | 号码归属城市 |
| isp | string | 号码所属运营商 |
| platformCount | int | 查询的平台总数 |
| queryId | string | 本次查询的唯一标识 ID |
| queryToken | string | 本次查询的 Token |
| queryStage | string | 查询阶段(通常为 null) |
| completedPlatformCount | int | 已完成查询的平台数(通常为 null) |
| totalPlatformCount | int | 总平台数(通常为 null) |
platformData 数组元素字段
| 字段名 | 类型 | 说明 |
|---|---|---|
| source | string | 标记来源平台名称 |
| phoneNumber | string | 被标记的手机号 |
| location | string | 号码归属地 |
| operator | string | 号码所属运营商 |
| details | string | 标记详情描述 |
| marked | boolean | 是否被标记,true 表示已标记,false 表示未标记 |
| markType | string | 标记类型(如:营销推广、广告推销等,未标记时为 null) |
| markCount | int | 被标记的次数 |
| querySuccess | boolean | 该平台查询是否成功 |
成功响应示例
{
"code": 0,
"data": {
"phone": "13295744641",
"platformData": [
{
"source": "电话邦",
"phoneNumber": "13295744641",
"location": "浙江-宁波",
"operator": "中国联通",
"details": "营销推广",
"marked": true,
"markType": "营销推广",
"markCount": 0,
"querySuccess": true
},
{
"source": "搜狗号码通",
"phoneNumber": "13295744641",
"location": "浙江-宁波",
"operator": "中国联通",
"details": "无标记",
"marked": false,
"markType": null,
"markCount": 0,
"querySuccess": true
},
{
"source": "移动高频号码",
"phoneNumber": "13295744641",
"location": "浙江-宁波",
"operator": "中国联通",
"details": "无标记",
"marked": false,
"markType": null,
"markCount": 0,
"querySuccess": true
},
{
"source": "360安全卫士",
"phoneNumber": "13295744641",
"location": "浙江-宁波",
"operator": "中国联通",
"details": "广告推销-被12人标记",
"marked": true,
"markType": "广告推销",
"markCount": 12,
"querySuccess": true
},
{
"source": "百度安全卫士",
"phoneNumber": "13295744641",
"location": "浙江-宁波",
"operator": "中国联通",
"details": "无标记",
"marked": false,
"markType": null,
"markCount": 0,
"querySuccess": true
},
{
"source": "联通管家",
"phoneNumber": "13295744641",
"location": "浙江-宁波",
"operator": "中国联通",
"details": "骚扰电话-被50人标记",
"marked": true,
"markType": "骚扰电话",
"markCount": 50,
"querySuccess": true
},
{
"source": "腾讯手机管家",
"phoneNumber": "13295744641",
"location": "浙江-宁波",
"operator": "中国联通",
"details": "商业营销或高风险电话",
"marked": true,
"markType": "商业营销或高风险电话",
"markCount": 0,
"querySuccess": true
},
{
"source": "泰迪熊",
"phoneNumber": "13295744641",
"location": "浙江-宁波",
"operator": "中国联通",
"details": "您的号码用户标记次数较多。降低通话频次可有效降低用户标记,建议您10个工作日后再次尝试,谢谢",
"marked": true,
"markType": "您的号码用户标记次数较多。降低通话频次可有效降低用户标记,建议您10个工作日后再次尝试,谢谢",
"markCount": 0,
"querySuccess": true
}
],
"province": "浙江",
"city": "宁波",
"isp": "中国联通",
"platformCount": 8,
"queryId": "6b66d92a07404d1398aa1c3b596219cc",
"queryToken": "6b66d92a07404d1398aa1c3b596219cc",
"queryStage": null,
"completedPlatformCount": null,
"totalPlatformCount": null
},
"msg": ""
}
错误响应示例
当请求发生错误时,返回的 JSON 格式如下:
{
"code": 0,
"msg": "未提供密钥",
"errcode": 11001
}
{
"code": 0,
"msg": "密钥错误",
"errcode": 11002
}
{
"code": 0,
"msg": "请求过于频繁",
"errcode": 11005
}
业务错误码
本平台使用 errcode 字段标识具体的业务错误原因,请根据以下说明进行排查:
| 错误码 | 说明 | 处理建议 |
|---|---|---|
| 11001 | 未提供密钥 | 请检查请求中是否包含有效的密钥参数 |
| 11002 | 密钥错误 | 请核对您的密钥是否正确 |
| 11003 | 密钥已禁用 | 您的密钥已被禁用,请联系管理员 |
| 11004 | 积分不足 | 账户积分不足,请先充值 |
| 11005 | 请求过于频繁 | 请求频率超过限制,请降低请求频率(每分钟约 2 次) |
| 11006 | 维护中 | 接口正在维护中,请稍后再试 |
| 11007 | 接口已禁用 | 该接口已被禁用 |
| 11012 | 鉴权方式错误 | 请检查您使用的鉴权方式是否正确(支持 Query、Header、Bearer Token) |
频率限制
- 每分钟约 2 次。
- 每个号码每天仅可查询 2 次。
快速上手
// 查询号码标记
const apiKey = 'YOUR_API_KEY';
const phoneNumber = '13295744641';
const url = `https://2.xunjinlu.fun/apis/hmbj?key=${apiKey}&phoneNumber=${phoneNumber}`;
const res = await fetch(url);
const data = await res.json();
if (data.code !== 0) console.error('查询失败:', data.msg);
else console.log('查询结果:', data.data);
免责声明
使用本平台接口即表示同意本声明。
- 数据来源:接口数据来自第三方公开网络或用户上传,本平台不保证准确性、完整性、实时性,请以官方信息为准。
- 合法性与安全性:本平台无法核实每个接口的安全性、合法性,使用者自行承担相关风险。
- 用途限制:标注“学习专用”的接口禁止商用;严禁用于违法违规行为(如诈骗、赌博、侵权等)。违规后果由使用者自行承担。
- 损害免责:使用本接口产生的任何直接或间接损失,本平台不承担责任。
- 第三方上传:用户/商户上传的接口若侵权或违法,由上传者承担全部责任。
- 监督配合:本平台依法记录访问日志,如发现违法活动将配合执法部门处理,并有权随时限制或封禁服务。
注:本平台保留最终解释权,并可能随时更新本声明。
在线测试
维护中,暂不可测试。